import {Component, h, Prop} from '@stencil/core';

@Component({
  tag: 'hy-dropdown-panel-item',
  shadow: false,
})
export class HyDropdownPanelItem {
  @Prop() isLast?: boolean = false;
  @Prop() dropdownItemId: string | number;
  @Prop() dropdownItemValue: string | number;
  @Prop() dropdownItemLabel: string;

  render() {
    return (
      <li class={`hy-dropdown__panel-item ${this.isLast ? 'is-last' : ''}`}>
        <input
          type="checkbox"
          class="hy-dropdown__checkbox"
          id={`${this.dropdownItemId}`}
          value={`${this.dropdownItemValue}`}
        />
        <label class="hy-dropdown__label" htmlFor={`${this.dropdownItemId}`}>
          {this.dropdownItemLabel}
          <hy-icon class="hy-dropdown__label-icon" icon={'hy-icon-done'} size={14} aria-hidden="true" />
        </label>
      </li>
    );
  }
}
