import {Component, ComponentInterface, Prop, h} from '@stencil/core';
import {KeyHighlightVariants} from '../../utils/utils';

@Component({
  tag: 'hy-key-figure',
  styleUrl: 'hy-key-figure.scss',
  shadow: true
})
export class HyKeyFigure implements ComponentInterface {
  @Prop() variant: KeyHighlightVariants = KeyHighlightVariants.default;
  @Prop() heading: string;
  @Prop() description: string;

  render() {
    const classVariant = [this.variant, 'hy-key-figure'].join(' ');

    return (
      <div class={classVariant}>
        <div class="hy-key-figure__title">{this.heading}</div>
        <div class="hy-key-figure__description">{this.description}</div>
      </div>
    );
  }
}
