import {Component, Prop, h} from '@stencil/core';

@Component({
  tag: 'hy-main',
  styleUrl: 'hy-main.scss',
  shadow: false,
})
export class HyMain {
  @Prop() hasSidebar: boolean = false;

  render() {
    const classAttributes = [
      'hy-main',
      this.hasSidebar ? 'with-sidebar' : 'without-sidebar',
      this.hasSidebar ? 'hy-main__common' : 'hy-main__large',
    ].join(' ');

    return (
      <div class={classAttributes}>
        <slot />
      </div>
    );
  }
}
