import {Component, Element, h, Prop} from '@stencil/core';

@Component({
  tag: 'hy-quote',
  styleUrl: 'hy-quote.scss',
  shadow: true,
})
export class HyQuote {
  @Prop() quoteSignature?: string;
  @Prop() headerstyle: string = 'common';
  @Element() el: HTMLElement;

  componentDidLoad() {
    let hyMainDiv = this.el.closest('.hy-main');
    if (hyMainDiv) {
      if (!hyMainDiv.classList.contains('with-sidebar')) {
        this.headerstyle = 'large';
      }
    }
  }

  render() {
    const quoteClass = ['hy-quote', this.headerstyle, `hy-quote__${this.headerstyle}`].join(' ');
    return (
      <div class={quoteClass}>
        <span class="hy-quote__icon-wrapper">
          <div class="hy-quote__icon">
            <hy-icon icon={'hy-icon-quote'} size={48} />
          </div>
        </span>
        <div class="hy-quote-text-wrapper">
          <div class="hy-quote__text">
            <slot></slot>
          </div>
          {this.quoteSignature && <div class="hy-quote__signature">{this.quoteSignature}</div>}
        </div>
      </div>
    );
  }
}
