import {newSpecPage} from '@stencil/core/testing';
import {HyTwoColumns} from '../hy-two-columns';

describe('hy-two-columns', () => {
  it('renders', async () => {
    const page = await newSpecPage({
      components: [HyTwoColumns],
      html: `
      <hy-two-columns>
        <div slot="main"></div>
        <div slot="side"></div>
      </hy-two-columns>`,
    });
    expect(page.root).toEqualHtml(`
      <hy-two-columns>
        <div class="hy-two-columns">
          <div class="hy-two-columns--main">
            <div slot="main"></div>
          </div>
          <div class="hy-two-columns--side">
            <div slot="side"></div>
          </div>
        </div>
      </hy-two-columns>
    `);
  });
});
